import request from "@/utils/request"

// 登录
export const getUserInfo = (code: string) => {
  alert(code)
  request(
    "/LQKJ.K3.PeiXunSystem.WebApi.WebApiService.User,LQKJ.K3.PeiXunSystem.WebApi.common.kdsvc",
    "POST",
    { code }
  )
}

// 注册
export const register = (data: any) => {
  request(
    "/LQKJ.K3.PeiXunSystem.WebApi.WebApiEditService.Quit,LQKJ.K3.PeiXunSystem.WebApi.common.kdsvc",
    "POST",
    data
  )
}

// 上传图片
export const uploadImage = (data: any) => {
  request(
    "/LQKJ.K3.PeiXunSystem.WebApi.WebApiEditService.Image,LQKJ.K3.PeiXunSystem.WebApi.common.kdsvc",
    "POST",
    data
  )
}

/**
 * @brief 手机密码登录
 * @param data
 * @return
 */
export const teachLogin = (data: any) =>
  request(
    "/LQKJ.K3.PeiXunSystem.WebApi.WebApiService.TeachLogin,LQKJ.K3.PeiXunSystem.WebApi.common.kdsvc",
    "POST",
    data
  )
